package com.ym.mec.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.io.Serializable;
import java.util.Date;

/**
 * 机构表(TenantInfo)表实体类
 *
 * @author hgw
 */
@ApiModel(value = "tenant_info-机构表")
public class TenantInfo implements Serializable {
    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "机构id")
    private Integer id;

    @TableField("name_")
    @ApiModelProperty(value = "机构名称")
    private String name;

    @TableField("contacts_")
    @ApiModelProperty(value = "机构联系人")
    private String contacts;

    @TableField("phone_")
    @ApiModelProperty(value = "机构联系人电话")
    private String phone;

    @TableField("address_")
    @ApiModelProperty(value = "地址")
    private String address;

    @TableField("email_")
    @ApiModelProperty(value = "机构邮箱")
    private String email;

    @TableField("logo_")
    @ApiModelProperty(value = "机构logo")
    private String logo;

    @TableField("customer_service_phone_")
    @ApiModelProperty(value = "客服电话")
    private String customerServicePhone;

    @TableField("remark_")
    @ApiModelProperty(value = "机构描述")
    private String remark;

    @TableField("tsign_code_")
    @ApiModelProperty(value = "营业执照编码")
    private String tsignCode;

    @TableField("tsign_name_")
    @ApiModelProperty(value = "营业执照对应公司名称")
    private String tsignName;

    @TableField("area_id_")
    @ApiModelProperty(value = "城市id")
    private Integer areaId;

    @TableField("domain_name_")
    @ApiModelProperty(value = "域名")
    private String domainName;

    @TableField("data_source_")
    @ApiModelProperty(value = "数据源")
    private String dataSource;

    @TableField("pay_state_")
    @ApiModelProperty(value = "缴费状态 0未缴费  1已缴费")
    private Integer payState;

    @TableField("state_")
    @ApiModelProperty(value = "状态0 草稿 1启动 2停用")
    private Integer state;

    @TableField("user_id_")
    @ApiModelProperty(value = "管理员账号id")
    private Integer userId;

    @TableField("created_by_")
    @ApiModelProperty(value = "创建人")
    private Integer createdBy;

    @TableField("created_time_")
    @ApiModelProperty(value = "创建时间")
    private Date createdTime;

    @TableField("updated_by_")
    @ApiModelProperty(value = "更新人")
    private Integer updatedBy;

    @TableField("updated_time_")
    @ApiModelProperty(value = "更新时间")
    private Date updatedTime;

    @TableField("recommender_")
    @ApiModelProperty(value = "推荐人")
    private Integer recommender;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getContacts() {
        return contacts;
    }

    public void setContacts(String contacts) {
        this.contacts = contacts;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getLogo() {
        return logo;
    }

    public void setLogo(String logo) {
        this.logo = logo;
    }

    public String getCustomerServicePhone() {
        return customerServicePhone;
    }

    public void setCustomerServicePhone(String customerServicePhone) {
        this.customerServicePhone = customerServicePhone;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getTsignCode() {
        return tsignCode;
    }

    public void setTsignCode(String tsignCode) {
        this.tsignCode = tsignCode;
    }

    public String getTsignName() {
        return tsignName;
    }

    public void setTsignName(String tsignName) {
        this.tsignName = tsignName;
    }

    public Integer getAreaId() {
        return areaId;
    }

    public void setAreaId(Integer areaId) {
        this.areaId = areaId;
    }

    public String getDomainName() {
        return domainName;
    }

    public void setDomainName(String domainName) {
        this.domainName = domainName;
    }

    public String getDataSource() {
        return dataSource;
    }

    public void setDataSource(String dataSource) {
        this.dataSource = dataSource;
    }

    public Integer getPayState() {
        return payState;
    }

    public void setPayState(Integer payState) {
        this.payState = payState;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(Integer createdBy) {
        this.createdBy = createdBy;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public Integer getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(Integer updatedBy) {
        this.updatedBy = updatedBy;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    public Integer getRecommender() {
        return recommender;
    }

    public void setRecommender(Integer recommender) {
        this.recommender = recommender;
    }

    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this);
    }
}

